﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.EventsTimeCategory>
@{
    ViewBag.Title = "Mốc lịch trình sự kiện";
    ViewBag.Description = "nguoi dung";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 6 + langs.Count();
    
}

@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/events_manager/eventstime_cate_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Tên mốc lịch trình</th>
                                  <th style="width: 250px">Thời gian</th>
                                <th style="width: 350px">Sự kiện</th>
                                <th style="width: 100px">Vị trí</th>
                                <th style="width: 120px">Trạng thái</th>
                                @{foreach (var lang in langs)
                                  {
                                    <th style="width: 50px; text-align: center">
                                        <img  src="/Uploaded/images/language/@lang.Lang_Flag"></th>
                                  }}
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var parent in Model)
                              {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@parent.ETimeCateID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/events_manager/eventstime_cate_edit/@parent.ETimeCateID">
                                            <b>
                                                @parent.ETimeName
                                            </b>
                                        </a>
                                        <input type="hidden" name="updateID" value="@parent.ETimeCateID">
                                    </td>
                                     <td>
                                       @(parent.ETimeStart.ToString("dd/MM/yyyy") + " - " +  parent.ETimeEnd.ToString("dd/MM/yyyy"))

                                    </td>
                                    <td>
                                        @{if (parent.EventID != null)
                                          {
                                            <span class='label  label-info'>@parent.Event.EventName</span> 
                                          }}
                                    </td>
                                    <td>
                                        <input class="form-control order_tag valid" type="text" name="SortOrder" id="SortOrder" value="@parent.SortOrder">
                                    </td>
                                    <td>
                                        @{if (parent.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    @*  <td style="text-align: center">
                                        <b>
                                            @parent.News.Count
                                        </b>
                                    </td>*@

                                    @{foreach (var lang in langs)
                                      {
                                          if (parent.Lang_ID == lang.Lang_ID)
                                          {
                                        <td>
                                            <a href="/administrators/events_manager/eventstime_cate_edit/@parent.ETimeCateID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                        </td>
                                          }
                                          else
                                          {
                                              if (parent.LinkID == 0)
                                              {
                                                  var linkObj = Model.FirstOrDefault(p => p.LinkID == parent.ETimeCateID && p.Lang_ID == lang.Lang_ID);
                                                  if (linkObj != null)
                                                  {
                                        <td>
                                            <a href="/administrators/events_manager/eventstime_cate_edit/@linkObj.ETimeCateID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>
                                                  }
                                                  else
                                                  {
                                        <td>
                                            <a href="/administrators/events_manager/eventstime_cate_add?linkID=@parent.ETimeCateID&langID=@lang.Lang_ID" class="btn btn-success btn-sm edit"><i class="fa fa-plus"></i></a>
                                        </td>
                                                  }
                                              }
                                              else
                                              {
                                        <td>
                                            <a href="/administrators/events_manager/eventstime_cate_edit/@parent.LinkID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>  
                                              }
                                          }
                                      }}

                                </tr>


                              }}
                        </tbody>
                    </table>
                    <div class="table-toolbar">
                        <a href="/administrators/events_manager/newscate_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        <button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
    
    <script>
        $(document).ready(function () {
            var error = "@ViewBag.Error";
            if (error != 0) {
                $('#modal-warning-error').modal('show')
            }
        })
    </script>
    
    <div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="fa fa-warning"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    @ViewBag.Error
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();


        $(document).ready(function () {
            $("#events").addClass("active open");
            $("#eventtimes").addClass("open");
            $("#timecate").addClass("active");
        });

    </script>

}
